glplanet(6)

NAME
glplanet - rotating 3d texture-mapped planet.

SYNOPSIS
glplanet [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-image file] [-image2 file] [-mode string] [-resolution number] [-wireframe] [-fps]

DESCRIPTION
Draws a planet bouncing around in space. The built-in images are day and night maps of the Earth, but you can wrap any Equirectangular-projected map onto the sphere, e.g., the planetary textures included with ssystem.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds.).

-image file
    The day texture map to wrap around the planet's surface.

-image2 file
    The night texture map to wrap around the planet's surface. The two will be blended together at the dusk terminator.

-mode globe
    All is right with the world.

-mode equirectangular
    Wat.

-mode mercator
    Good day, Sir. I said GOOD DAY.

-resolution
    The resolution of the planetary mesh. Default: 128.

-wireframe
    Render in wireframe instead of solid.

-fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1) dymaxionmap(1) ssystem(1)

COPYRIGHT
Copyright © 2002-2018 by David Konerding and Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
David Konerding and Jamie Zawinski.